Page MenuHomePhabricator

Revert of D49126 [PredicateInfo] Use custom mangling to support ssa_copy with unnamed types.
ClosedPublic

Authored by jeroen.dobbelaere on Nov 17 2020, 2:28 PM.

Details

Summary

Now that intrinsic name mangling can cope with unnamed types, the custom name mangling in PredicateInfo (introduced by D49126) can be removed.
(See D91250, D48541)

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptNov 17 2020, 2:28 PM
jeroen.dobbelaere edited the summary of this revision. (Show Details)Nov 17 2020, 2:35 PM

Omitted reversal of NewGVN testcase that slipped in with the original (D49126) commit. It has nothing to do with the unnamed type support.

fhahn added inline comments.Mar 10 2021, 12:19 PM
llvm/test/Transforms/Util/PredicateInfo/testandor.ll
232

do you know why the order changed here?

877

no need to have {{.+}} here any longer?

llvm/test/Transforms/Util/PredicateInfo/testandor.ll
232

Good that you asked. The reverted code now also reverses some of the insertions. Working on a fix.

Fixed an unwanted reversal of instructions shown in the testandor.ll test.

jeroen.dobbelaere marked 2 inline comments as done.Mar 10 2021, 2:23 PM
fhahn accepted this revision.Mar 14 2021, 3:08 PM

LGTM, thanks!

llvm/lib/Transforms/Utils/PredicateInfo.cpp
763–764

nit: move to the header?

This revision is now accepted and ready to land.Mar 14 2021, 3:08 PM

Rebased. Moved ~PredicateInfo() to header.